Subject: RE: libiconv-1.7 on cygwin-1.3.2 problems
From: "Gerrit P. Haase" <[email-masked]>
To: Neil Lunn <[email-masked]>
Date: Mon, 30 Jul 2001 08:07:45 +0200

Neil Lunn schrieb am 2001-07-30, 13:15:

: Gerrit,
: 
: >I got now problems building bleadperl. 
: >At first configure isn't able to find libiconv, because there 
: >is no libiconv.a:
: >[...]
: >No -lPW.
: >No -lx.
: >No -liconv.
: >No -lutil.
: >Found -lcygipc.
: >[...]
: 
: No big deal. That's what configure is for, this is not really needed by
: perl.

But if you think it is installed...?
 I just reported this to Chuck, because his package doesn't contain
libiconv.a 

: >Second problem is during 'make' of bleadperl which works o.k 
: >before i installed the patched binutils && libtool && automake,
: >but i'm not sure if it belongs to binutils:
: >
: >        Making File::Glob (dynamic)
: >Writing Makefile for File::Glob
: >make[1]: Entering directory `/src/buildperl/ext/File/Glob'
: >Makefile out-of-date with respect to ../../../lib/Config.pm 
: >../../../config.h
: >Cleaning current config before rebuilding Makefile...
: 
: Probably just you. Take heed to the bottom line and do a realclean. Better
: still extract fresh from the archive and do the configure all again.

That is what i always do, delete the whole buildtree, the run whole run
again -> configure with symlinks from a readonly sourcetree...

: libiconv is mainly needed by Text::Iconv, being the interface to this
: library. There are a few modules that do have this as a dependancy so
: further work on ports is always welcome.

I works o.k. to link against the dynamic libiconv and the problem with
 File::Glob disappeared in the nirvana.

Thanks,

gph

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/